Commit e9a6a104 authored by Andrey Smirnov's avatar Andrey Smirnov Committed by Thomas Petazzoni
Browse files

python-systemd: add new package

Add package for official python bindings availibe as a part of systemd
project at: https://github.com/systemd/python-systemd



Minimal config snippet for utils/test-pkg is as follows (sans
backslashes):

BR2_INIT_SYSTEMD=y
BR2_PACKAGE_PYTHON3=y
BR2_PACKAGE_PYTHON_SYSTEMD=y

Signed-off-by: default avatarAndrey Smirnov <andrew.smirnov@gmail.com>
Reviewed-by: default avatarYegor Yefremov <yegorslists@googlemail.com>
Signed-off-by: default avatarThomas Petazzoni <thomas.petazzoni@free-electrons.com>
parent 5defa771
......@@ -98,6 +98,7 @@ F: package/python-pathlib2/
F: package/python-pickleshare/
F: package/python-scandir/
F: package/python-simplegeneric/
F: package/python-systemd/
F: package/python-traitlets/
N: Andrey Yurovsky <yurovsky@gmail.com>
......
......@@ -863,6 +863,7 @@ menu "External python modules"
source "package/python-socketio/Config.in"
source "package/python-sortedcontainers//Config.in"
source "package/python-spidev/Config.in"
source "package/python-systemd/Config.in"
source "package/python-tempora/Config.in"
source "package/python-typepy/Config.in"
source "package/python-thrift/Config.in"
......
config BR2_PACKAGE_PYTHON_SYSTEMD
bool "python-systemd"
depends on BR2_PACKAGE_SYSTEMD
help
Python module for native access to the systemd facilities.
https://github.com/systemd/python-systemd
comment "python-systemd needs systemd"
depends on !BR2_PACKAGE_SYSTEMD
# md5 from https://pypi.python.org/pypi/systemd-python/, sha256 locally computed
md5 8438acab31e6f1e3e963d36f3de62faa systemd-python-233.tar.gz
sha256 06a3768b744884565d7961b44f4a51d164765bc59692f0f85ea6f11330a17da4 systemd-python-233.tar.gz
################################################################################
#
# python-systemd
#
################################################################################
PYTHON_SYSTEMD_VERSION = 233 # Should be kept in sync with $(SYSTEMD_VERSION)
PYTHON_SYSTEMD_SOURCE = systemd-python-$(PYTHON_SYSTEMD_VERSION).tar.gz
PYTHON_SYSTEMD_SITE = https://pypi.python.org/packages/10/89/d66ae73bdbc2614e4f2e90ddf9ef80d22c28f3cd70071345c3640465c14c
PYTHON_SYSTEMD_SETUP_TYPE = distutils
PYTHON_SYSTEMD_LICENSE = LGPL-2.1
PYTHON_SYSTEMD_LICENSE_FILES = LICENSE.txt
PYTHON_SYSTEMD_DEPENDENCIES = systemd # To be able to link against libsystemd
$(eval $(python-package))
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment